import { jsx } from "react/jsx-runtime";
import { TokenSTATOM as TokenSTATOM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSTATOM = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "STATOM", "data-name": "TokenSTATOM", ...props, children: /* @__PURE__ */ jsx(TokenSTATOM$1, { variant }) });
  }
);
TokenSTATOM.displayName = "TokenSTATOM";
Object.assign(TokenSTATOM, { isGdsIcon: true });
export {
  TokenSTATOM
};
